Incompatible Browser
You have reached this page because you are likely using an incompatible browser, version, or settings.

If you are using Netscape, version 4.08 is the lowest supported version for use on the North Carolina Statewide Vendor Registration website. To check your browser version, on your Netscape "Help" menu, go to "About Communicator" or "About Navigator".

The other conditions that may result in displaying this page in Netscape are: Both of these settings need to be enabled. To locate and/or change these settings in Netscape, on the browser menu select "Edit", then "Preferences", then "Advanced". Place a check in the box to enable.

If you are using Microsoft Internet Explorer, version 4.01 is the lowest supported version. To check your browser version, on your Internet Explorer "Help" menu, go to "About Internet Explorer".

To upgrade your browser, use the following links:

Netscape Communicator: Go to http://home.netscape.com/download/index.html, select Netscape Communicator and follow the instructions to update. DO NOT upgrade to Netscape 6 as it is not supported at this time.

Microsoft Internet Explorer: Go to http://www.microsoft.com and click on Downloads. After choosing your Operating System from the drop-down menu, choose "Internet Explorer 5.01 Service Pack 2" or better from the Product Name drop-down menu and click the "Find It!" button. Follow instructions to update.

NOTE: You may need to contact your company's internal computer support personnel before making any changes to your browser version or settings.

If you are still having difficulties accessing the North Carolina Statewide Vendor Registration website after following the above instructions, or need assistance in checking your browser version or completing a browser upgrade, please use any of the contact methods below to allow us to assist you.

North Carolina E-Procurement Customer Service

E-mail: epservice@its.nc.gov
Toll free: 1-888-211-7440